diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/daemon/common/guiDecoding.mli ./src/daemon/common/guiDecoding.mli
--- ./src/daemon/common/guiDecoding.mli	2005-03-20 02:41:29.000000000 +0100
+++ ./src/daemon/common/guiDecoding.mli	2005-04-04 22:34:51.000000000 +0200
@@ -19,8 +19,8 @@
 
 exception FromGuiMessageNotImplemented
 
-val to_gui : int array -> (string -> string) -> int -> string -> GuiProto.to_gui
-val from_gui : int array -> (string -> string) -> int -> string -> GuiProto.from_gui
+val to_gui : int array -> int -> string -> GuiProto.to_gui
+val from_gui : int array -> int -> string -> GuiProto.from_gui
   
 val gui_cut_messages : (int -> string -> unit) -> TcpBufferedSocket.t -> 'a -> unit
   
